Skip to main content
POST
Verify CIN

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request parameters to retrieve your customer's CIN information

verification_id
string
default:ABC00123
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.

Example:

"ABC00123"

cin
string
default:U72900KA2015PTC082988
required

It is the unique alphanumeric identifier assigned to companies registered under the Ministry of Corporate Affairs, India.

Example:

"U72900KA2015PTC082988"

Response

Success response for retrieving the CIN information

verification_id
string

It displays the unique ID you created to identify the API request.

Example:

"ABC00123"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

status
string

It displays the status of the CIN information. Possible values are: - VALID: CIN provided is valid - INVALID: CIN provided is invalid

Example:

"VALID"

cin
string

It displays the entered CIN information.

Example:

"U72900KA2015PTC082988"

company_name
string

It displays the name of the company registered under the Ministry of Corporate Affaris.

Example:

"COMPANY NAME"

registration_number
number

It displays the registration number of the company.

Example:

82987

incorporation_date
string

It displays the date of incorporation of the company.

Example:

"23-09-2015"

cin_status
string

It displays the granular level status of the CIN information.

Example:

"ACTIVE"

email
string

It displays the email ID of the company registered under the Ministry of Company Affairs.

Example:

"abc@xyz.com"

incorporation_country
string

It displays the name of the country where the company is located.

Example:

"INDIA"

director_details
object[]